| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LPC_OTP_T Struct Reference
CHIP: LPC18xx/43xx OTP Controller driver

## Detailed Description

OTP Register block.

Definition at line 47 of file otp_18xx_43xx.h.

`#include "otp_18xx_43xx.h"`

## Data Fields
__IO uint32_t | OTP0_0
__IO uint32_t | OTP0_1
__IO uint32_t | OTP0_2
__IO uint32_t | OTP0_3
__IO uint32_t | OTP1_0
__IO uint32_t | OTP1_1
__IO uint32_t | OTP1_2
__IO uint32_t | OTP1_3
__IO uint32_t | OTP2_0
__IO uint32_t | OTP2_1
__IO uint32_t | OTP2_2
__IO uint32_t | OTP2_3
uint32_t | RESERVED0 [4]
__IO uint32_t | UNIQUE_KEY0
__IO uint32_t | UNIQUE_KEY1
__IO uint32_t | UNIQUE_KEY2
__IO uint32_t | UNIQUE_KEY3
__IO uint32_t | RANDOM_NUM0
__IO uint32_t | RANDOM_NUM1
__IO uint32_t | RANDOM_NUM2
__IO uint32_t | RANDOM_NUM3
__IO uint32_t | USER_KEY0
__IO uint32_t | USER_KEY1
__IO uint32_t | USER_KEY2
__IO uint32_t | USER_KEY3
uint32_t | RESERVED1 [4]
__IO uint32_t | WRTMASK
__O uint32_t | STATUS
uint32_t | RESERVED2 [2]
__IO uint32_t | PROGRAM
__IO uint32_t | AES_SSEL
__IO uint32_t | SHUFFLE_CTRL
uint32_t | RESERVED3
__IO uint32_t | OTP0_WR_LOCK
__IO uint32_t | OTP0_RD_LOCK
__IO uint32_t | OTP1_WR_LOCK
__IO uint32_t | OTP1_RD_LOCK
__IO uint32_t | OTP2_WR_LOCK
__IO uint32_t | OTP2_RD_LOCK
__IO uint32_t | RESERVED4 [2]
__IO uint32_t | UNIQUE_KEY_WR_LOCK
__IO uint32_t | UNIQUE_KEY_RD_LOCK
__IO uint32_t | RANDOM_NUM_WR_LOCK
__IO uint32_t | RANDOM_NUM_RD_LOCK
__IO uint32_t | RESERVED5
__IO uint32_t | USER_KEY_RD_LOCK

## Field Documentation

__IO uint32_t AES_SSEL

(@ 0x40045094) Controls selecting source for SKey output to AES Engine

Definition at line 78 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_0

(@ 0x40045000) OTP content

Definition at line 48 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_1

(@ 0x40045004) OTP content

Definition at line 49 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_2

(@ 0x40045008) OTP content

Definition at line 50 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_3

(@ 0x4004500C) OTP content

Definition at line 51 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_RD_LOCK

(@ 0x400450A4) Locks write access to itself and OTP0 read access

Definition at line 82 of file otp_18xx_43xx.h.

__IO uint32_t OTP0_WR_LOCK

(@ 0x400450A0) Locks write access to itself and OTP0 write access

Definition at line 81 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_0

(@ 0x40045010) OTP content

Definition at line 52 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_1

(@ 0x40045014) OTP content

Definition at line 53 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_2

(@ 0x40045018) OTP content

Definition at line 54 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_3

(@ 0x4004501C) OTP content

Definition at line 55 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_RD_LOCK

(@ 0x400450AC) Locks write access to itself and OTP1 read access

Definition at line 84 of file otp_18xx_43xx.h.

__IO uint32_t OTP1_WR_LOCK

(@ 0x400450A8) Locks write access to itself and OTP1 write access

Definition at line 83 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_0

(@ 0x40045020) OTP content

Definition at line 56 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_1

(@ 0x40045024) OTP content

Definition at line 57 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_2

(@ 0x40045028) OTP content

Definition at line 58 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_3

(@ 0x4004502C) OTP content

Definition at line 59 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_RD_LOCK

(@ 0x400450B4) Locks write access to itself and OTP2 read access

Definition at line 86 of file otp_18xx_43xx.h.

__IO uint32_t OTP2_WR_LOCK

(@ 0x400450B0) Locks write access to itself and OTP2 write access

Definition at line 85 of file otp_18xx_43xx.h.

__IO uint32_t PROGRAM

(@ 0x40045090) Enables write of Shuffled AES value to OTP1c

Definition at line 77 of file otp_18xx_43xx.h.

__IO uint32_t RANDOM_NUM0

(@ 0x40045050) Random number bit 31..0. R/W locked at default

Definition at line 65 of file otp_18xx_43xx.h.

__IO uint32_t RANDOM_NUM1

(@ 0x40045054) Random number bit 63..32. R/W locked at default

Definition at line 66 of file otp_18xx_43xx.h.

__IO uint32_t RANDOM_NUM2

(@ 0x40045058) Random number bit 95..64. R/W locked at default

Definition at line 67 of file otp_18xx_43xx.h.

__IO uint32_t RANDOM_NUM3

(@ 0x4004505C) Random number bit 127..96. R/W locked at default

Definition at line 68 of file otp_18xx_43xx.h.

__IO uint32_t RANDOM_NUM_RD_LOCK

(@ 0x400450CC)

Definition at line 91 of file otp_18xx_43xx.h.

__IO uint32_t RANDOM_NUM_WR_LOCK

(@ 0x400450C8)

Definition at line 90 of file otp_18xx_43xx.h.

uint32_t RESERVED0[4]

Definition at line 60 of file otp_18xx_43xx.h.

uint32_t RESERVED1[4]

Definition at line 73 of file otp_18xx_43xx.h.

uint32_t RESERVED2[2]

Definition at line 76 of file otp_18xx_43xx.h.

uint32_t RESERVED3

Definition at line 80 of file otp_18xx_43xx.h.

__IO uint32_t RESERVED4[2]

Definition at line 87 of file otp_18xx_43xx.h.

__IO uint32_t RESERVED5

(@ 0x400450D0)

Definition at line 92 of file otp_18xx_43xx.h.

__IO uint32_t SHUFFLE_CTRL

(@ 0x40045098) Shuffle block control

Definition at line 79 of file otp_18xx_43xx.h.

__O uint32_t STATUS

(@ 0x40045084) Indicates write status of fuses

Definition at line 75 of file otp_18xx_43xx.h.

__IO uint32_t UNIQUE_KEY0

(@ 0x40045040) Unique Key bit 31..0. R/W locked at default

Definition at line 61 of file otp_18xx_43xx.h.

__IO uint32_t UNIQUE_KEY1

(@ 0x40045044) Unique Key bit 63..32. R/W locked at default

Definition at line 62 of file otp_18xx_43xx.h.

__IO uint32_t UNIQUE_KEY2

(@ 0x40045048) Unique Key bit 95..64. R/W locked at default

Definition at line 63 of file otp_18xx_43xx.h.

__IO uint32_t UNIQUE_KEY3

(@ 0x4004504C) Unique Key bit 127..96. R/W locked at default

Definition at line 64 of file otp_18xx_43xx.h.

__IO uint32_t UNIQUE_KEY_RD_LOCK

(@ 0x400450C4)

Definition at line 89 of file otp_18xx_43xx.h.

__IO uint32_t UNIQUE_KEY_WR_LOCK

(@ 0x400450C0) Locks write access to itself and Unique Key write access

Definition at line 88 of file otp_18xx_43xx.h.

__IO uint32_t USER_KEY0

(@ 0x40045060) User Key bit 31..0. R locked at default

Definition at line 69 of file otp_18xx_43xx.h.

__IO uint32_t USER_KEY1

(@ 0x40045064) User Key bit 63..32. R locked at default

Definition at line 70 of file otp_18xx_43xx.h.

__IO uint32_t USER_KEY2

(@ 0x40045068) User Key bit 95..64. R locked at default

Definition at line 71 of file otp_18xx_43xx.h.

__IO uint32_t USER_KEY3

(@ 0x4004506C) User Key bit 127..96. R locked at default

Definition at line 72 of file otp_18xx_43xx.h.

__IO uint32_t USER_KEY_RD_LOCK

(@ 0x400450D4)

Definition at line 93 of file otp_18xx_43xx.h.

__IO uint32_t WRTMASK

(@ 0x40045080) Masks APB write to fuses

Definition at line 74 of file otp_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_18xx_43xx/otp_18xx_43xx.h